Skip to main content
GET
Get a trip participant

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

tripId
integer
required

Trip ID belonging to the authenticated organization.

id
integer
required

Record ID within the organization and any parent resource in this route.

Response

Get a trip participant response.

Participant projections returned by roster, detail, create and update operations. Detailed fundraising/profile fields are present on reads; mutation responses contain the fields saved by that operation.

id
integer
donor_id
integer
entity_id
integer | null
name
string
email
string
phone
string | null
role
string
individual_goal
number
total_raised
number
progress_percent
number
status
string
is_public
boolean
is_anonymous
boolean
bio
string | null
video_url
string | null
is_minor
boolean
guardian_name
string | null
guardian_email
string | null
guardian_phone
string | null
guardian_relationship
string | null
guardian_donor_id
integer | null
background_check_status
string | null
background_check_provider_check_id
string | null
background_check_id
integer | null
background_check_report_url
string | null
background_check_updated_at
string<date-time> | null
background_check_expires_at
string<date> | null
background_check_adjudication
string | null
esignature_status
string | null
created_at
string<date-time>
permissions
object | null
effective_leader_permissions
object | null
tags
string[]
esignature_readiness
object
esignature_template_id
string | null
esignature_request_id
integer | null
esignature_provider_request_id
string | null
esignature_signed_document_url
string | null
esignature_signed_document_upload_id
integer | null
esignature_sent_at
string<date-time> | null
esignature_signed_at
string<date-time> | null